LOOK(1)

NAME
look - display lines beginning with a given string

SYNOPSIS

look [options] string [file]

DESCRIPTION

The look utility displays any lines in file which contain string as a prefix. As look performs a binary search, the lines in file must be sorted (where sort(1) was given the same options -d and/or -f that look is invoked with).

If file is not specified, the file /usr/share/dict/words is used, only alphanumeric characters are compared and the case of alphabetic characters is ignored.

OPTIONS

-a, --alternative
    Use the alternative dictionary file.

-d, --alphanum
    Use normal dictionary character set and order, i.e., only blanks and alphanumeric characters are compared. This is on by default if no file is specified.

    Note that blanks have been added to dictionary character set for compatibility with sort -d command since version 2.28.

-f, --ignore-case
    Ignore the case of alphabetic characters. This is on by default if no file is specified.

-t, --terminate character
    Specify a string termination character, i.e., only the characters in string up to and including the first occurrence of character are compared.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

The look utility exits 0 if one or more lines were found and displayed, 1 if no lines were found, and >1 if an error occurred.

ENVIRONMENT

WORDLIST
    Path to a dictionary file. The environment variable has greater priority than the dictionary path defined in the FILES segment.

FILES

/usr/share/dict/words
    the dictionary

/usr/share/dict/web2
    the alternative dictionary

HISTORY

The look utility appeared in Version 7 AT&T Unix.

EXAMPLES

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

SEE ALSO

grep(1), sort(1)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The look command is part of the util-linux package which can be downloaded from